---
title: WorkerGlobalScope.dump()
slug: Web/API/WorkerGlobalScope/dump
tags:
  - API
  - Method
  - Reference
  - Web Workers
  - WorkerGlobalScope
  - dump
---
<div>{{APIRef("Web Workers API")}}{{Non-standard_header}}</div>

<p>The <code><strong>dump()</strong></code> method of the {{domxref("WorkerGlobalScope")}} interface allows you to write a message to stdout — i.e. in your terminal, in Firefox only. This is the same as Firefox's {{domxref("window.dump")}}, but for workers.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">dump('My message\n');</pre>

<h3 id="Parameters">Parameters</h3>

<p>A {{domxref("DOMString")}} containing the message you want to send.</p>

<h3 id="Returns">Returns</h3>

<p>Void.</p>

<h2 id="Example">Example</h2>

<p>To write an output from your worker to your computer's terminal, you first have to run an instance of Firefox started from your command line/terminal. For example, on Mac OS X you'd run it using something like this (assuming you are inside the <code>Applications</code> folder):</p>

<pre class="brush: bash">./Firefox.app/Contents/MacOS/firefox-bin -profile /tmp -no-remote</pre>

<p>Now go into <code>about:config</code> and enable the <code>browser.dom.window.dump.enabled</code> pref.</p>

<p>Next, run a worker containing the following line:</p>

<pre class="brush: js">dump('test\n');</pre>

<p>This should result in a "test" message being output to the terminal.</p>

<h2 id="Specifications">Specifications</h2>

<p>This method does not appear in any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WorkerGlobalScope.dump")}}</p>

<h2 id="See_also">See also</h2>

<p>{{domxref("WorkerGlobalScope")}}</p>
